配置spring时头文件报错

JAVA | 2018-07-30 21:06:59 | 阅读 304 次 | 评论(0)

Referenced file contains errors (http://www.springframework.org/schema/mvc). For more   information, right click on the message in the Problems View and select "Show Details..."


关于这个错误,导致的原因可能是 

一种可能是 
之前用的Spring版本,和现在用的不同 
对于Eclipse编译器来说,会有个缓存,这样验证的时候他会告诉你版本不统一 

Preferences -> General -> Network Connections -> Cache 
删除里面的缓存 

还有一种可能是,当前使用的spring版本和配置文件写的不同意,导致xsd等文件不会被正确加载,那么就是改成当前使用的对应版本了 


还有一种情况就是,在使用spring时,使用多个配置文件,那么头里面的配置一定要统一,和上一种理论相同

文章评论,共0条
游客请输入验证码
最新评论